org.apache.xerces.dom

## Class RangeExceptionImpl

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.dom.ranges.RangeException
        - - org.apache.xerces.dom.RangeExceptionImpl

All Implemented Interfaces:
  java.io.Serializable

    public class RangeExceptionImpl
    extends org.w3c.dom.ranges.RangeException

Version:
  $Id: RangeExceptionImpl.java 447266 2006-09-18 05:57:49Z mrglavas $
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.w3c.dom.ranges.RangeException

`BAD_BOUNDARYPOINTS_ERR, code, INVALID_NODE_TYPE_ERR`

### Constructor Summary

Constructors
Constructor and Description
`RangeExceptionImpl(short code, java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RangeExceptionImpl

    public RangeExceptionImpl(short code,
                              java.lang.String message)